## publicfile 0.52

=== debian/changelog ===
publicfile (0.52-14) unstable; urgency=medium

  [ Jul 2025, Dec 2025 ]
  * d/patches/filetype.patch: Add some more info to the Description of this
    patch.
  * d/README.Debian: publicfile.org seems to be taken offline.
  * d/rules: restore upstream conf-home and conf-cc in clean target; should
    fix build @ salsa.d.o pipeline.
  * d/control: replace "runit-sysv | runit-systemd" by "runit-run" in
    Recommends.  Thanks Andrew Bower for suggestion via IRC.

  [ Jan 2026 ]
  * d/copyright: clarify license situation of publicfile-0.52-filetype-diff.
    Thank you Uwe Ohse!
  * The website at cr.yp.to is available via both http and https.  Choose
    the https version:
    - d/get-publicfile-docs{,1}: fetch from httpS://cr.yp.to , not http:.
    - d/README.Debian, d/publicfile-httpd.8: refer to httpS://cr.yp.to/, not
      http:.
  * d/update-publicfile-contenttype.1: update link to Cliff L. Biffle's
    "Recommended Publicfile Patches" at https://cliffle.com/.
  * d/patches/*.patch: refer to httpS://dep.debian.net/.
  * d/patches/filetype.patch: change http to https in Origin field www.ohse.de.
    Thanks Andrew McMillan @
    https://dfsg-new-queue.debian.org/reviews/publicfile aka karora @
    #debian-dfsg.
  * d/{control,get-publicfile-docs}: get-publicfile-docs(1) no longer uses wget
    but curl's wcurl.
  * d/get-publicfile-docs.1: stop talking about castrated goats.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Feb 2026 06:37:14 +0100

publicfile (0.52-13) experimental; urgency=medium

  [ Joost van Baal-Ilić <joostvb@debian.org> ]
  * Before july 2024, publicfile was not free software.  We shipped a
    publicfile-installer package, to ease building and installing publicfile on
    a Debian system.  Since publicfile got relicensed, we can ship publicfile
    itself via Debian main.  And, for the record:
    https://salsa.debian.org/debian/publicfile/-/pipelines/889957 : all 3 builds
    pass, all 8 tests pass.  So: First upload to Debian archive.
    Closes: #1098807
  * created git upstream branch with pristine upstream sources, in order to
    facilitate gbp style maintenance.
  * d/rules: force gcc-13: treat all implicit declarations as a mere warnings,
    not yet fatal error as in Debian 13 (trixie) default gcc-14.  (FWIW, gcc-12
    as shipped w/ e.g. Debian 12 (bookworm) works fine too.)
  * d/control: explicitly add gcc-13 to Build-Depends, since not listed in
    /usr/share/doc/build-essential/list .
  * d/patches/ftbfs-implicit-declaration.patch: add preliminary version of patch
    which is supposed to finally fix all implicit-declaration failures.
  * d/{rules,compat}: update debhelper compat version from deprecated 9 to
    current 13.
  * d/control: add zsh | zsh-beta to Suggests: used by
    usr/bin/get-publicfile-docs.  Thanks lintian.
  * d/copyright: make lintian happy: add an "empty" line.
  * d/{publicfile-,}httpd.8: renamed, in order not to conflict with httpd(8) as
    shipped with some old merecat packages ( <= 2.31+git20220513+ds-5 ).  (BTW,
    merecat installs usr/sbin/httpd while we install usr/bin/httpd.)  Thanks
    'missing-breaks' test @ salsa.d.o.
  * d/control: add Conflicts: merecat (<< 2.31+git20220513+ds-6): httpd binary
    and manpage.
  * d/install: change to dh-exec, install httpd and ftpd as publicfile-httpd
    and publicfile-ftpd.
  * d/control: add dh-exec Build-Depends.
  * d/publicfile-httpd.8: fix layout / roff syntax.
  * d/manpages: install publicfile-httpd(8).  See also get-publicfile-docs(1).
  * d/{,source/}lintian-overrides: added: we keep a comment-only file
    d/patches/publicfile.sslserver , and we do not yet install
    publicfile-ftpd(8).
  * d/TODO: minor update.
  * d/control: long description: fix typo, be more explicit about lacking
    ssl support.
  * d/rules: run dh in verbose mode.
  * d/rules: pass extra -g to gcc: trying to get debug information for dwz(1)
    and dh_dwz(1).
  * d/control: Drop Depends daemontools, demote "runit-init | runit-sysv |
    runit-systemd | daemontools-run (>> 1:0.76)" from Depends to Recommends.

  [ Bastian Germann <bage@debian.org>, July 2024 ]
  * d/patches/implicit-int.patch: Patch: Fix implicit-int warning
  * d/copyright: Update according to public-domain release
  * d/patches: Drop sslserver.patch which is not clearly DFSG-free
  * d/watch: Add watch file for download via uscan

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 08 Jul 2025 15:58:08 +0200

publicfile (0.52-12) unstable; urgency=medium

  * This version was never published.
  * debian/TODO: update build instructions
  * debian/control: mention update-publicfile-contenttype in description.
  * debian/control: update vcs-headers: moved from alioth to salsa.
  * debian/patches/{sslserver.patch,series}: add (but do not yet apply)
    publicfile.sslserver patch.
  * debian/control: mention our 3 applied patches in long description.
  * debian/{httpd,ftpd}.8: added first shot at proper manpages: not finished,
    not installed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 03 Oct 2021 17:51:00 +0200

publicfile (0.52-11) unstable; urgency=medium

  * debian/autoindex/ad1810-autoindex: add header <meta
    http-equiv="Content-Type" content="text/html; charset=utf-8">
    to generated .html files, so that e.g. firefox correctly displays utf-8
    characters, even when publicfile gives HTTP header 'Content-Type: text/html'
    (and not 'Content-Type: text/html; charset=UTF-8').
  * debian/autoindex/ad1810-autoindex: the comment to prevent updates as added
    to generated .html files now actually does what it claims to do.
  * debian/copyright: use "https" form of copyright-format URL.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 08 Feb 2018 12:57:35 +0100

publicfile (0.52-10) unstable; urgency=medium

  * debian/README.Debian: added section FAQ for troubleshooting tips, with
    entry on issue "libc.so.6: cannot map zero-fill pages".

