=== debian/rules ===
#!/usr/bin/make -f

#
# No copyright is claimed.  This code is in the public domain; do with it
# what you wish.  Written by Joost van Baal-Ilić.
#
# Written in 2014 - 2015
#

export DH_VERBOSE = 1

%:
	dh $@

# gcc-13 treats implicit declaration as a mere warning, not yet fatal error
# as in the debian 13 trixie default gcc-14.
# -std=c17 was the default mode from GCC 8 to GCC 14 (including).
# ISO C11 is the 2011 revision of the ISO C standard.
# See https://gcc.gnu.org/projects/c-status.html for all details.
#
# d/control: has hardcoded Build-Depends gcc-13, we should drop that.
# instead, we should pass -std=c17 to gcc args: a more robust way to make
# this old-style C-code build.  however, that's not enough...
override_dh_auto_configure:
	mv conf-cc conf-cc.orig
	mv conf-home conf-home.orig
	echo 'gcc-13 -O2 -g' >conf-cc
	# echo 'gcc -std=c11 -O2 -g' >conf-cc
	# echo 'gcc -std=c99 -O2 -g' >conf-cc
	## echo 'gcc -std=c17 -O2 -g' >conf-cc
	echo /usr >conf-home

override_dh_auto_build:
	make

override_dh_auto_install:
#	# dh_auto_install --destdir=foo
#	#
#	# install ftpd and httpd in /usr/bin
#	# make setup
#	#
#	# check permissions
	make check

override_dh_auto_clean:
	-mv conf-cc.orig conf-cc
	-mv conf-home.orig conf-home
	-for f in $$(cat TARGETS) utime.o utime; do test -f $$f && rm $$f; done
