=== debian/watch ===
version=4
http://cr.yp.to/publicfile/install.html publicfile-@ANY_VERSION@\.tar\.gz
